Bug 519080 - Can't pair with Apple bluetooth keyboard
Can't pair with Apple bluetooth keyboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-24 19:29 EDT by Jeff Sheltren
Modified: 2012-06-18 15:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:17:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Sheltren 2009-08-24 19:29:06 EDT
Description of problem:
I cannot use the "bluetooth device wizard" to connect to my apple bluetooth keyboard.  It never completes the pairing process.  I can use hidd --search from the command line in order to connect to it, however this is not optimal because I need to re-connect manually each time the machine is booted.


Version-Release number of selected component (if applicable):
bluez-4.42-3.fc11

How reproducible:
Always

Steps to Reproduce:
1. Click bluetooth icon on panel and select 'Setup new device'
2. Click forward; remove batteries from keyboard, re-insert batteries, hit power button on keyboard;  (click 'Search' if keyboard doesn't show up in list)
3. Select keyboard from list, and click 'Forward'
4. Enter passkey (nothing happens), hit return (still nothing)  -- on occasion, this will show a "pairing with keyboard failed' message, sometimes it happens right away, sometimes it sits on the passkey screen for a while without showing any error
  
Actual results:
Keyboard is not paired with the system

Expected results:
Upon entering passkey, keyboard should pair with the system, and be remembered over consecutive system reboots
Comment 1 Bastien Nocera 2009-09-16 10:44:39 EDT
Could you please test with gnome-bluetooth 2.27.8-2?
See: http://admin.fedoraproject.org/updates/gnome-bluetooth-2.27.8-2.fc11
Comment 2 Bug Zapper 2010-04-28 05:57:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 10:17:30 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.